---
title: PushEvent.PushEvent()
slug: Web/API/PushEvent/PushEvent
tags:
  - API
  - Constructor
  - Experimental
  - Push
  - Push API
  - PushEvent
  - Reference
  - Service Workers
---
<p>{{APIRef("Push API")}}{{SeeCompatTable()}}</p>

<p>The <code><strong>PushEvent()</strong></code> constructor creates a new {{domxref("PushEvent")}} object. Note that the this constructor is exposed only to a service worker context.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myPushEvent = new PushEvent(type, <span class="idlInterface" id="idl-def-PushEvent"><span class="extAttr">eventInitDict</span></span>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><em>type</em></dt>
	<dd>A {{domxref("DOMString")}} defining the type of <code>PushEvent</code>. This can be {{event("push")}} or {{event("pushsubscriptionchange")}}.</dd>
	<dt><em>eventInitDict</em> {{optional_inline}}</dt>
	<dd>An options object containing any initialization data you want to populate the <code>PushEvent</code> object with. The options are:
	<ul>
		<li><code>data</code>: The data you want the <code>PushEvent</code> to contain, if any. When the constructor is invoked, the {{domxref("PushEvent.data")}} property of the resulting object will be set to a new {{domxref("PushMessageData")}} object containing bytes extracted from the <code>eventInitDict data</code> member.</li>
	</ul>
	</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var dataInit = {
  data : 'Some sample text'
}

var myPushEvent = new PushEvent('push', dataInit);

myPushEvent.data.text(); // should return 'Some sample text'</pre>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushEvent.PushEvent")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Push_API">Push API</a></li>
	<li><a href="/en-US/docs/Web/API/Service_Worker_API">Service Worker API</a></li>
</ul>
